PETSc version 3.15.5
Fix/Edit manual page

# PCHMGSetUseSubspaceCoarsening

Use subspace coarsening in HMG

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetUseSubspaceCoarsening(PC pc, PetscBool subspace)

Logically Collective on PC

### Input Parameters

| pc | - the HMG context
| reuse | - True indicates that HMG will use the subspace coarsening

### Options Database Keys

| -pc_hmg_use_subspace_coarsening <true | false> | - Whether or not to use subspace coarsening (that is, coarsen a submatrix).

### Keywords

HMG, multigrid, interpolation, subspace, coarsening

### See Also

PCHMG

### Level

beginner

### Location

src/ksp/pc/impls/hmg/hmg.c

### Examples

src/ksp/ksp/tutorials/ex4.c.html

### Implementations

PCHMGSetUseSubspaceCoarsening_HMG in src/ksp/pc/impls/hmg/hmg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages